Raspberry Pi Pico USB-UART Bridge
=================================

This is a fork of https://github.com/Noltari/pico-uart-bridge and a pull request which takes too long time to include.
Some fixes applied by myself for a successful build.

This program bridges the Raspberry Pi Pico HW UARTs to two independent USB CDC serial devices in order to behave like any other USB-to-UART Bridge controllers.

Disclaimer
----------

This software is provided without warranty, according to the MIT License, and should therefore not be used where it may endanger life, financial stakes, or cause discomfort and inconvenience to others.

Raspberry Pi Pico Pinout
------------------------

UART0:
| Raspberry Pi Pico GPIO | Function  |
|:----------------------:|:---------:|
| GPIO0 (Pin 1)          | TX        |
| GPIO1 (Pin 2)          | RX        |
| GPIO2 (Pin 4)          | CTS       |
| GPIO3 (Pin 5)          | RTS       |
| GPIO4 (Pin 6)          | DTR       |
| GPIO5 (Pin 7)          | DSR       |

UART1:
| Raspberry Pi Pico GPIO | Function  |
|:----------------------:|:---------:|
| GPIO8  (Pin 11)        | TX        |
| GPIO9  (Pin 12)        | RX        |
| GPIO10 (Pin 14)        | CTS       |
| GPIO11 (Pin 15)        | RTS       |
| GPIO12 (Pin 16)        | DTR       |
| GPIO13 (Pin 17)        | DSR       |

Optional Hardware Flow and Line control
------------------------------

Hardware Flow-control (RTS/CTS) is disabled if you build it just with build.sh, but there are other buld scripts:

``` bash
./build_w_flow_ctrl.sh
```

Line control (DTR/DSR):

``` bash
./build_w_line_ctrl.sh
```

To enable both:
``` bash
./build_w_line_flow_ctrl.sh
```
